PLVPAS(3)

NAME
plvpas - Specify viewport using coordinates and aspect ratio

SYNOPSIS
plvpas(xmin, xmax, ymin, ymax, aspect)

DESCRIPTION

Device-independent routine for setting up the viewport. The viewport is chosen to be the largest with the given aspect ratio that fits within the specified region (in terms of normalized subpage coordinates). This routine is functionally equivalent to plvpor(3) when a ``natural'' aspect ratio (0.0) is chosen. Unlike plvasp(3), this routine reserves no extra space at the edges for labels.

ARGUMENTS

xmin (PLFLT, input)
    The normalized subpage coordinate of the left-hand edge of the viewport.

xmax (PLFLT, input)
    The normalized subpage coordinate of the right-hand edge of the viewport.

ymin (PLFLT, input)
    The normalized subpage coordinate of the bottom edge of the viewport.

ymax (PLFLT, input)
    The normalized subpage coordinate of the top edge of the viewport.

aspect (PLFLT, input)
    Ratio of length of y axis to length of x axis.

AUTHORS
Geoffrey Furnish and Maurice LeBrun wrote and maintain PLplot. This man page was automatically generated from the DocBook source of the PLplot documentation, maintained by Alan W. Irwin and Rafael Laboissiere.

SEE ALSO
PLplot documentation at http://plplot.sf.net/resources.